Ras3DReader
Date: 2019-10-22

org.jmol.jvxl.readers

## Class Ras3DReader

- java.lang.Object
- - org.jmol.jvxl.readers.SurfaceReader
  - - org.jmol.jvxl.readers.SurfaceFileReader
    - - org.jmol.jvxl.readers.PolygonFileReader
      - - org.jmol.jvxl.readers.Ras3DReader

- All Implemented Interfaces:
    VertexDataServer

      class Ras3DReader
      extends PolygonFileReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `asQuads`
    `(package private) java.util.Map<java.lang.String,java.lang.Integer>` | `htVertices`
    `private int` | `nPolygons`
    `private java.lang.String` | `pmeshError`
    `private java.lang.String` | `type`

    - ### Fields inherited from class org.jmol.jvxl.readers.PolygonFileReader

      `nTriangles, nVertices`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `binarydoc, br, line, next, out`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceReader

      `allowSigma, ANGSTROMS_PER_BOHR, anisotropy, center, cJvxlEdgeNaN, colorFractionBase, colorFractionRange, contourVertexCount, dataMax, dataMean, dataMin, defaultCutoff, defaultMappedDataMax, defaultMappedDataMin, eccentricityMatrix, eccentricityMatrixInverse, eccentricityRatio, eccentricityScale, edgeFractionBase, edgeFractionRange, fractionData, hasColorData, haveSurfaceAtoms, isAnisotropic, isEccentric, isJvxl, isPeriodic, isProgressive, isQuiet, isXLowToHigh, jvxlColorDataRead, jvxlCutoff, jvxlData, jvxlDataIs2dContour, jvxlDataIsColorDensity, jvxlDataIsColorMapped, jvxlDataIsPrecisionColor, jvxlEdgeDataRead, jvxlFileHeaderBuffer, jvxlNSurfaceInts, jvxlVoxelBitSet, marchingCubes, marchingSquares, meshData, meshDataServer, minMax, nBytes, nDataPoints, nPointsX, nPointsY, nPointsZ, params, ptTemp, qpc, sg, vertexDataOnly, volumeData, volumetricOrigin, volumetricVectors, voxelCounts, voxelData, xyzMax, xyzMin, yzCount, yzPlanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ras3DReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int` | `getPoint(java.lang.String[] tokens, int i)`
    `(package private) void` | `getSurfaceData()`
    `(package private) void` | `init2(SurfaceGenerator sg, java.io.BufferedReader br)`
    `protected void` | `init2PR(SurfaceGenerator sg, java.io.BufferedReader br)`
    `private boolean` | `readVertices()`
    `protected boolean` | `readVerticesAndPolygons()`
    `protected void` | `setHeader()`

    - ### Methods inherited from class org.jmol.jvxl.readers.PolygonFileReader

      `init2PFR, readSurfaceData, readVolumeData, readVolumeParameters`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceFileReader

      `closeReader, closeReaderSFR, discardTempData, getQuotedStringNext, getTokens, init, init2SFR, newBinaryDocument, parseFloat, parseFloatArray, parseFloatArrayStr, parseFloatRange, parseFloatStr, parseInt, parseIntNext, parseIntStr, rd, setOutputChannel, setStream, skipTo`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceReader

      `addTriangleCheck, addVC, addVertexCopy, applyColorScale, colorIsosurface, createIsosurface, discardTempDataSR, excludeMaximumSet, excludeMinimumSet, finalizeMapping, getColorPhaseIndex, getMinMaxMappedValues, getPlane, getPlaneSR, getSPF, getSurfaceAtomIndex, getSurfacePointAndFraction, getSurfacePointIndexAndFraction, getValue, getValue2, getValueAtPoint, gotoAndReadVoxelData, gotoData, initializeMapping, initializeVolumetricData, initPlanes, initSR, jvxlUpdateInfo, newVoxelDataCube, postProcessVertices, readAndSetVolumeParameters, readColorData, resetIsosurface, selectPocket, setBBox, setVectorAnisotropy, setVertexAnisotropy, setVolumeDataV, setVolumetricAnisotropy, setVolumetricOriginAnisotropy, slabIsosurface, updateSurfaceData, updateTriangles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pmeshError

          private java.lang.String pmeshError

    - #### type

          private java.lang.String type

    - #### asQuads

          private boolean asQuads

    - #### nPolygons

          private int nPolygons

    - #### htVertices

          java.util.Map<java.lang.String,java.lang.Integer> htVertices

  - ### Constructor Detail

    - #### Ras3DReader

          Ras3DReader()

  - ### Method Detail

    - #### init2

          void init2(SurfaceGenerator sg,
                     java.io.BufferedReader br)

      Overrides:
        `init2` in class `SurfaceFileReader`

    - #### init2PR

          protected void init2PR(SurfaceGenerator sg,
                                 java.io.BufferedReader br)

    - #### setHeader

          protected void setHeader()

    - #### getSurfaceData

          void getSurfaceData()
                       throws java.lang.Exception

      Specified by:
        `getSurfaceData` in class `PolygonFileReader`
      Throws:
        `java.lang.Exception`

    - #### readVerticesAndPolygons

          protected boolean readVerticesAndPolygons()

    - #### readVertices

          private boolean readVertices()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPoint

          private int getPoint(java.lang.String[] tokens,
                               int i)